import React, {Component} from 'react'
import PropTypes from 'prop-types'
import { Player } from 'video-react'

import './index.scss'

class Video extends Component {
  static propTpyes = {
    value: PropTypes.string,    // 视频地址
  }

  componentDidMount () {
    this.player.seek(1)
  }

  shouldComponentUpdate () {
    return false
  }

  render() {
    return (
      <Player ref={player => { this.player = player }} aspectRatio={'4:3'}>
        <source src={this.props.value} />
      </Player>
    )
  }
}

export default Video